unit Fallschu;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    HoeheEin: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    ZeitAus: TEdit;
    Label4: TLabel;
    Berechnung: TButton;
    procedure BerechnungClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BerechnungClick(Sender: TObject);
const g  = 9.81;
      mh = 650;
var   t, h : real;
begin
  h := strtofloat(HoeheEin.text);
  t := sqrt(2*(h-mh)/g);
  ZeitAus.text := floattostr(t);
end;

end.
